package es.uv.garcosda.services;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.jms.annotation.JmsListener;
import org.springframework.stereotype.Service;

import es.uv.garcosda.domain.Mail;
import jakarta.jms.JMSException;
import jakarta.jms.Message;

@Service
public class ReceiverService {

	Logger log = LoggerFactory.getLogger(ReceiverService.class);
	
	@JmsListener(destination = "${mailer.queue}")
	public void receive(Message message) {
		try {
			log.info("Received: " + message.getBody(Mail.class));	
		} 
		catch (JMSException e) {
			e.printStackTrace();
		}
	}
}
